Subject: [PATCH v4 02/10] ARM/ARM64: KVM: Add base for PSCI v0.2 emulation

From: [email-masked] (Christoffer Dall)
Date: Fri, 14 Mar 2014 15:57:44 -0700

On Sat, Feb 08, 2014 at 08:42:09AM +0900, Jungseok Lee wrote:

[...]

> 
> No, I am not.
> My original intention is to clarify the interface between KVM and VM if
> DVFS scheme is applied to VM. Currently, PSCI v0.2 does not define it.
> Thus, I wonder why this interface is not covered.
> 

Why would you run DVFS in a VM?  When the VCPUs in a VM are idle they
consume zero resources.  The host would be doing the DVFS for thermal
regulation and such.

The only thing I can see being relevant is having some mechanism of
informing the host of characteristics of the guest so the host can be
more educated when enforcing power policy, but that requires a
theoretical discussion and rationale first.

-Christoffer